package p19_napisy.regex;

import java.util.regex.Pattern;

public class Przyklad1 {

	public static void main(String[] args) {
		boolean wynik;
		
		wynik = Pattern.matches("ab?c*d+", "abcd");
		System.out.println(wynik);
		
		wynik = Pattern.matches("ab?c*d+", "acd");
		System.out.println(wynik);
		
		wynik = Pattern.matches("ab?c*d+", "abd");
		System.out.println(wynik);

		wynik = Pattern.matches("ab?c*d+", "abc");
		System.out.println(wynik);

		wynik = Pattern.matches("ab?c*d+", "abcccccddddddd");
		System.out.println(wynik);

		wynik = Pattern.matches("ala|magda", "ala");
		System.out.println(wynik);

		wynik = Pattern.matches("(a|bc)+x", "abcbcbcbcaaaaabcabcx");
		System.out.println(wynik);

		wynik = Pattern.matches("ab?c*d+", "abcccccddddddd");
		System.out.println(wynik);


	}

}
